
Foreman - Bug #37142

Image-based deployment on Proxmox fails due to extra newline in "remote_execution_ssh_keys"

snippet

02/06/2024 08:30 AM - Maximilian Kolb

Status: Closed   

Priority: Normal   

Assignee: Maximilian Kolb   

Category: Compute resources   

Target version:    

Difficulty: easy Fixed in Releases: 3.10.0

Triaged: No Found in Releases: 3.9.1

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/10039

  

Description

Associated revisions

Revision aa508a5f - 02/16/2024 01:59 PM - Maximilian Kolb

Fixes #37142 - Cloud-init breaks due to newline

This fixes cloud-init based deployment to Proxmox for Debian, Ubuntu,

and SUSE Linux Enterprise Server. Previously, deployments failed due to

a newline in the echo command.

History

#1 - 02/06/2024 12:26 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/10039 added

#2 - 02/16/2024 01:59 PM - The Foreman Bot

- Fixed in Releases 3.10.0 added

#3 - 02/16/2024 02:00 PM - Maximilian Kolb

- Status changed from Ready For Testing to Closed

Applied in changeset foreman|aa508a5f5e0060f13f07a1751c5aae749d454e17.
